Skip to main content
POST
Create a trip task

Authorizations

session_id
string
header
required

Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.

Path Parameters

client_id
integer<int64>
required
trip_id
integer<int64>
required
session_id
string
required

Body

application/json
title
string
required

required|string|max:255.

task_type
enum<string>

nullable|in:standard,acknowledgement. Defaults to standard.

Available options:
standard,
acknowledgement
document_path
string | null

nullable|string|max:255.

document_name
string | null

nullable|string|max:255.

description
string | null

nullable|string|max:5000.

due_date
string<date> | null

nullable|date.

is_required
boolean
requires_document
boolean
requires_approval
boolean
depends_on_task_id
integer<int64> | null

nullable|integer|exists:trip_tasks,id scoped to this trip.

depends_on_task_ids
integer<int64>[] | null

nullable|array of integers — alternative multi-dependency form.

dependency_mode
enum<string>

nullable|in:and,or. Defaults to and.

Available options:
and,
or
sort_order
integer | null

nullable|integer|min:0. Defaults to max+1.

reminder_days_before
integer | null

nullable|integer|min:-365|max:365. Legacy single-reminder shortcut.

reminders
object[] | null
target_role
enum<string>

nullable|in:all,participant,leader. Defaults to all.

Available options:
all,
participant,
leader
target_minors_only
boolean
target_guardians_only
boolean
target_tags_include
string[] | null
Maximum string length: 100
target_tags_exclude
string[] | null
Maximum string length: 100

Response

Task created.

status
string
Example:

"success"

message
string
data
object